/*
*/
function GitFusionRepoId(data) {

    Object.defineProperties(this, {
        /*
          An identifier for the repository that can be used safely within URL paths.

        */
        "id": {
            value: data ? data.id : undefined,
            enumerable: true,
            writable: true
        },
        /*
          The repository name, which can be path-like.

        */
        "name": {
            value: data ? data.name : undefined,
            enumerable: true,
            writable: true
        }
    });

}

module.exports = GitFusionRepoId;
