var assert = require('assert');
var test_methods = require('./util/test_methods');

var error = "unset";

test_methods.clientAsJdoe(function(err, c) {
    if (err) {
        console.log("ERROR", err);
        assert(false, "login failed");
        return;
    }

    var api = c.createDefaultApi();

    api.serverBranchesGet("illegal", function(e) {
        error = e;
    });
});

function checkForDone() {
    if (error != "unset") {
        assert(error != null, "didn't return error");
        assert(error.response.status == 404);
        assert(error.response.body['MessageSeverity'] == 'ERROR');
        assert(error.response.body['MessageText'] != null);
    } else {
        setTimeout(checkForDone, 500);
    }
}

setTimeout(checkForDone, 0);
