var assert = require('assert');
var helix_web_services_client = require('../index.js');
var test_methods = require('./util/test_methods');
var string_methods = require('./util/string_methods');

var done = false;

test_methods.clientAsJdoe(function (err, c) {
  if (err) {
    console.log("ERROR", err);
    assert(false);
  }

  var api = c.createDefaultApi();

  api.serverCommandsCommandGet("localhost", "info", null, function(err, commandResponse) {
    if (err) {
      console.log("ERROR", err);
      assert(false);
    }

    assert(commandResponse.results.find(function(r) { return !!r.serverVersion; }));
    done = true;
  });
});


function checkForDone() {
  if (!done) {
    setTimeout(checkForDone, 500);
  }
}

setTimeout(checkForDone, 0);
